File version

Topics: User Forum
Jul 9, 2010 at 3:45 PM
Hi, I made a project with the previous version of SFHB (1803) and I decided to update SHFB with the 1910 release. I had problem with the plugin XsdDocumenter that do not work with that version. I uninstalled the new version and installed again the 1803. Problem now is that I have the following message when I open the solution : The selected file is for a more recent version of the help file builder. Please upgrade your copy to load the file. I can not update because I need the XsdDocumenter plugin. How can I solve this problem ? Thank you.
Coordinator
Jul 9, 2010 at 4:05 PM

Build components are dependent on the version of Sandcastle against which they are compiled, likewise for plug-ins for SHFB.  You'll need to contact the author of the component to see when they will have a release that is compatible with the latest release of Sandcastle and SHFB.  If you want to use the prior release, you'll need to reinstall the May 2008 release of Sandcastle.  You can backlevel your SHFB project by opening it in a text editor and changing the schema version from 1.9.0.0 to 1.8.0.0.

Eric

 

Jul 12, 2010 at 10:04 AM
Hi Eric,

I know that plug-ins are not support by SHFB that is why I uninstalled the new version and re-installed the previous version of SHFB.
I have modified the file and it works !

Thank you Eric !

Jonathan.


2010/7/9 EWoodruff <notifications@codeplex.com>

From: EWoodruff

Build components are dependent on the version of Sandcastle against which they are compiled, likewise for plug-ins for SHFB.  You'll need to contact the author of the component to see when they will have a release that is compatible with the latest release of Sandcastle and SHFB.  If you want to use the prior release, you'll need to reinstall the May 2008 release of Sandcastle.  You can backlevel your SHFB project by opening it in a text editor and changing the schema version from 1.9.0.0 to 1.8.0.0.

Eric

 

Read the full discussion online.

To add a post to this discussion, reply to this email (SHFB@discussions.codeplex.com)

To start a new discussion for this project, email SHFB@discussions.codeplex.com

You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe on CodePlex.com.

Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at CodePlex.com




--
Cordialement,

Rombeau Jonathan.